"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function promisify(functionToPromisify, alwaysResolve) {
    return function (params) {
        return new Promise((resolve, reject) => {
            functionToPromisify(params, (err, data) => {
                if (err) {
                    if (alwaysResolve) {
                        resolve(err);
                    }
                    else {
                        reject(err);
                    }
                }
                else {
                    resolve(data);
                }
            });
        });
    };
}
exports.promisify = promisify;
;
