"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const klaw = require("klaw");
const through2 = require("through2");
const excludeDirFilter = through2.obj(function (item, enc, next) {
    if (!item.stats.isDirectory())
        this.push(item);
    next();
});
/**
 * This will walk a directory and return an array of all the contents.
 */
function walkDirectory(directoryPath) {
    return new Promise((resolve) => {
        const items = [];
        klaw(directoryPath)
            .pipe(excludeDirFilter)
            .on('data', (item) => items.push(item.path))
            .on('end', () => resolve(items));
    });
}
exports.walkDirectory = walkDirectory;
